Subject: Re: Strange bash login behaviour -- no home directory
From: "news.gmane.org" <[email-masked]>
To: [email-masked]
Date: Wed, 13 Mar 2002 19:58:19 -0500
Newsgroups: gmane.os.cygwin

I Just figured it out less than sixty seconds after sending that post (I
wish it always worked that way!!!).

I had $HOME defined in my windows environment (for some strange reason) to
be C:\.  Deleting that system environment variable solved the problem.

Paul

"news.gmane.org" <[email-masked]> wrote in message
news:[email-masked]...
> I'm using the ntsec option of CYGWIN, on a freshly installed version of
> cygwin that was downloaded today.
>
> I've used mkgroup and mkpasswd to include domain entities (including me)
in
> /etc/group and /etc/passwd.
>
> When I start cygwin ("bash --login -i" from the default cygwin.bat), I'm
> recognized  as being logged in with my proper user id, but my home
directory
> (as reflected by $HOME) is "/cygdrive/c", even though /etc/passwd clearly
> defines my home directory as "/home/paul.galbraith".
>
> If I "login" from within the bash shell, $HOME is then set properly and
I'm
> dumped into my home directory!
>
> Does anyone know why I have to login from the shell in order to get $HOME
> set properly?
>
> Cheers,
>
> Paul
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/